<template>
    <div
        v-if="welcomePopup"
        class="page-container"
    >
        <!--        <div class="video-button-container">-->
        <!--            &lt;!&ndash;            <VideoButton :id="helpModalId">&ndash;&gt;-->
        <!--            &lt;!&ndash;                <div slot="iframe">&ndash;&gt;-->
        <!--            &lt;!&ndash;                    <iframe&ndash;&gt;-->
        <!--            &lt;!&ndash;                        class="embed-responsive-item"&ndash;&gt;-->
        <!--            &lt;!&ndash;                        src="https://carti.crisp.help/en/article/enable-email-cart-abandonment-automation-1oxiee1/"&ndash;&gt;-->
        <!--            &lt;!&ndash;                        allowfullscreen&ndash;&gt;-->
        <!--            &lt;!&ndash;                    />&ndash;&gt;-->
        <!--            &lt;!&ndash;                </div>&ndash;&gt;-->
        <!--            &lt;!&ndash;            </VideoButton>&ndash;&gt;-->
        <!--        </div>-->
        <ValidationObserver
            ref="obs"
        >
            <div class="edit__top">
                <div class="mb-2">
                    Welcome visitors on your site with a personalised message.<br> <span
                        class="subtitle"
                    >*Make sure to enable Subscription Landing before proceeding!</span>
                </div>
                <div class="edit__actions">
                    <div class="buttons d-flex align-items-center">
                        <ToggleButton
                            v-model="welcomePopup.status"
                            :font-size="12"
                            class="toggle-btn"
                            :height="24"
                            :labels="true"
                            color="rgb(45, 119, 245)"
                            @change="saveReminder"
                        />
                        <b-btn
                            class="btn blue-btn"
                            @click="saveReminder"
                        >
                            Save
                        </b-btn>
                    </div>
                </div>
            </div>
            <div class="row form-header-container">
                <div class="table_content col-12 col-lg-6">
                    <div class="text-editor-container">
                        <TextEditor :text-editor="welcomePopup" />
                    </div>
                </div>
                <div class="col-12 col-xl-6 ">
                    <div class="cart-example">
                        <WelcomeCartExample :welcome="welcomePopup" />
                    </div>
                </div>
            </div>
        </ValidationObserver>
    </div>
</template>

<script>
import TextEditor from "@/components/push/growth/Welcome/TextEditor";
import SubCartExample from "@/components/push/growth/subscription/SubCartExample";
import welcome from "@/mixins/push/growth.service"
import DesignEditor from "@/components/push/growth/subscription/DesignEditor";
import WelcomeCartExample from "@/components/push/growth/Welcome/WelcomeCartExample";

export default {
    name: "EditWelcome",
    components: {WelcomeCartExample, DesignEditor, SubCartExample, TextEditor},
    mixins: [welcome],
    data: () => ({
        welcomePopup: null,
        previewPopup: false,
        helpModalId: 'HelpModalEmailAdandonedCarts',
    }),
    mounted() {
        this.getWelcome().then(response => {
            this.welcomePopup = response
        }).catch(error => {
            console.log(error)
        })
    },
    methods: {
        async saveReminder() {
            const result = await this.$refs.obs.validate();
            let valid = await this.$refs.obs
            if (result) {
                this.updateWelcome(this.welcomePopup).then(() => {
                    this.$notify({
                        type: 'success',
                        title: 'Saved'
                    });
                })
                setTimeout(() => {
                    this.$refs.obs.reset()
                }, 2000)
            } else this.getFormErrors(valid.errors)
        }
    }
}
</script>

<style lang="scss" scoped>
form {
    margin-top: 40px;
}
.form-header-container {
    margin-top: 0;
}

.edit__actions {
    display: flex !important;
    justify-content: space-between;
    width: 100%;
    @media(max-width: 1000px) {
        flex-direction: column-reverse;
        align-items: flex-start;
        .buttons {
            margin-left: auto;
            margin-bottom: 5px;
        }
    }
}
.cart-example {
    display: flex;
    justify-content: center;
}
.subtitle {
    font-size: 11px;
}
@media(max-width: 1200px) {
    .table_content {
        min-width: 100%!important;
    }
}
.edit {
    &__actions {
        width: auto;
    }
    &__top {
        margin-top: 25px;
    }
}
</style>
